﻿using Infragistics.Win.AppStyling;
using Infragistics.Win.UltraWinSchedule;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WS_CustomAppointmentDialog
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            StyleManager.Load(@"..\..\IG.isl",true,"MyStyle");

            InitializeComponent();
            
            SetControlsStyle(ultraDayView1);


        }

        private void SetControlsStyle(ISupportAppStyling control)
        {
            control.ComponentRole.StyleLibraryName = "MyStyle";
        }
        

        private void ultraCalendarInfo1_BeforeDisplayAppointmentDialog(object sender, Infragistics.Win.UltraWinSchedule.DisplayAppointmentDialogEventArgs e)
        {
            e.Cancel = true;
            CustomAppointmentDialog dialog = null;
            if (ultraDayView1.SelectedTimeSlotRange.StartDateTime.Date == DateTime.MinValue.Date)
            {
                var selectedApp =ultraCalendarInfo1.SelectedAppointments[0];
                using (dialog = new CustomAppointmentDialog(selectedApp))
                {
                    dialog.ShowDialog();
                }
            }
            else
            {
                var dates = new DateTime[] { ultraDayView1.SelectedTimeSlotRange.StartDateTime, 
                            ultraDayView1.SelectedTimeSlotRange.EndDateTime};
                using (dialog = new CustomAppointmentDialog(ultraCalendarInfo1, dates))
                {
                    dialog.ShowDialog();
                }
            }

        }
    }
}
